Bug 985397 - [abrt] control-center-3.8.3-1.el7: g_type_check_instance_cast: Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)
[abrt] control-center-3.8.3-1.el7: g_type_check_instance_cast: Process /usr/b...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: control-center (Show other bugs)
7.0
x86_64 Unspecified
high Severity high
: beta
: 7.0
Assigned To: Bastien Nocera
Desktop QE
abrt_hash:ba20f26af372783cadc43c45535...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 08:01 EDT by Vladimir Benes
Modified: 2014-06-18 03:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:19:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (54.26 KB, text/plain)
2013-07-17 08:01 EDT, Vladimir Benes
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-17 08:02 EDT, Vladimir Benes
no flags Details
File: core_backtrace (3.19 KB, text/plain)
2013-07-17 08:02 EDT, Vladimir Benes
no flags Details
File: dso_list (23.61 KB, text/plain)
2013-07-17 08:02 EDT, Vladimir Benes
no flags Details
File: environ (1.69 KB, text/plain)
2013-07-17 08:02 EDT, Vladimir Benes
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-17 08:02 EDT, Vladimir Benes
no flags Details
File: maps (117.29 KB, text/plain)
2013-07-17 08:02 EDT, Vladimir Benes
no flags Details
File: open_fds (1.27 KB, text/plain)
2013-07-17 08:02 EDT, Vladimir Benes
no flags Details
File: proc_pid_status (1.05 KB, text/plain)
2013-07-17 08:02 EDT, Vladimir Benes
no flags Details
File: var_log_messages (10.28 KB, text/plain)
2013-07-17 08:02 EDT, Vladimir Benes
no flags Details

  None (edit)
Description Vladimir Benes 2013-07-17 08:01:54 EDT
Description of problem:
1. go into control center networks
2. forget already remembered network
3. click wheel again

-> crash

Version-Release number of selected component:
control-center-3.8.3-1.el7

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        gnome-control-center network
crash_function: g_type_check_instance_cast
executable:     /usr/bin/gnome-control-center
kernel:         3.10.0-1.el7.x86_64
runlevel:       N 5
uid:            1004

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at /lib64/libgobject-2.0.so.0
 #1 show_details_for_row
 #2 _g_closure_invoke_va at /lib64/libgobject-2.0.so.0
 #5 gtk_real_button_released at /lib64/libgtk-3.so.0
 #6 g_closure_invoke at /lib64/libgobject-2.0.so.0
 #10 gtk_button_button_release at /lib64/libgtk-3.so.0
 #11 _gtk_marshal_BOOLEAN__BOXEDv at /lib64/libgtk-3.so.0
 #12 _g_closure_invoke_va at /lib64/libgobject-2.0.so.0
 #15 gtk_widget_event_internal at /lib64/libgtk-3.so.0
 #16 propagate_event at /lib64/libgtk-3.so.0
Comment 1 Vladimir Benes 2013-07-17 08:01:59 EDT
Created attachment 774743 [details]
File: backtrace
Comment 2 Vladimir Benes 2013-07-17 08:02:02 EDT
Created attachment 774744 [details]
File: cgroup
Comment 3 Vladimir Benes 2013-07-17 08:02:06 EDT
Created attachment 774745 [details]
File: core_backtrace
Comment 4 Vladimir Benes 2013-07-17 08:02:09 EDT
Created attachment 774746 [details]
File: dso_list
Comment 5 Vladimir Benes 2013-07-17 08:02:13 EDT
Created attachment 774747 [details]
File: environ
Comment 6 Vladimir Benes 2013-07-17 08:02:16 EDT
Created attachment 774748 [details]
File: limits
Comment 7 Vladimir Benes 2013-07-17 08:02:22 EDT
Created attachment 774749 [details]
File: maps
Comment 8 Vladimir Benes 2013-07-17 08:02:26 EDT
Created attachment 774750 [details]
File: open_fds
Comment 9 Vladimir Benes 2013-07-17 08:02:31 EDT
Created attachment 774751 [details]
File: proc_pid_status
Comment 10 Vladimir Benes 2013-07-17 08:02:34 EDT
Created attachment 774752 [details]
File: var_log_messages
Comment 11 Bastien Nocera 2013-11-07 05:36:53 EST
show_details_for_row() is a function in the network panel. There were loads of bug fixes for the network panel in the control-center rebase, so please test the latest version (control-center-3.8.6-1.el7)
Comment 12 Vladimir Benes 2013-11-07 05:55:34 EST
this works well now, no crashes any more
Comment 14 Ludek Smid 2014-06-13 05:19:02 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.